<!DOCTYPE html>
<html>
<head>
<link rel="stylesheet" href="style_custompointers.css">
</head>
<body>
<div class="menu_bar" >
<div class="menu_bar_one" id="clickhere"><big>Bondi Beach</big><br/> Beach in New South Wales, Australia</div>
<div class="menu_bar_one" id="clickmee_too"><big>Coogee Beach</big><br/>Coogee NSW 2034, Australia</div>
<div class="menu_bar_one" id="oh_click"><big>Cronulla Beach</big><br/>North Cronulla Beach, Australia</div>
<div class="menu_bar_one" id="click_click"><big>Manly Beach</big><br/>New South Wales, Australia</div>
<div class="menu_bar_one" id="clicklast"><big>Maroubra Beach</big><br/>City in New South Wales, Australia</div>
</div>
   <div id="map"></div>
<script>

      function initMap() {
        var map = new google.maps.Map(document.getElementById('map'), {
          zoom: 12,
          center: {lat: -33.9, lng: 151.2}
        });

setMarkers(map);
		
		google.maps.event.addDomListener(clickhere, 'click', function() {
         map.setCenter(new google.maps.LatLng(-33.890542, 151.274856));
        });
		google.maps.event.addDomListener(clickmee_too, 'click', function() {
         map.setCenter(new google.maps.LatLng(-33.923036, 151.259052));
        });
		google.maps.event.addDomListener(oh_click, 'click', function() {
         map.setCenter(new google.maps.LatLng(-34.028249, 151.157507));
        });
		google.maps.event.addDomListener(click_click, 'click', function() {
         map.setCenter(new google.maps.LatLng(-33.80010128657071, 151.28747820854187));
        });
		google.maps.event.addDomListener(clicklast, 'click', function() {
         map.setCenter(new google.maps.LatLng(-33.950198, 151.259302));
        });
      }

      // Data for the markers consisting of a name, a LatLng and a zIndex for the
      // order in which these markers should display on top of each other.
      var beaches = [
        ['Bondi Beach', -33.890542, 151.274856, 4],
        ['Coogee Beach', -33.923036, 151.259052, 5],
        ['Cronulla Beach', -34.028249, 151.157507, 3],
        ['Manly Beach', -33.80010128657071, 151.28747820854187, 2],
		['Maroubra Beach', -33.950198, 151.259302, 1]

      ];

      function setMarkers(map) {
       
        for (var i = 0; i < beaches.length; i++) {
          var beach = beaches[i];
          var marker = new google.maps.Marker({
            position: {lat: beach[1], lng: beach[2]},
            map: map,
            title: beach[0],
            zIndex: beach[3]
          });
        }
      }
    </script>
    <script async defer
    src="https://maps.googleapis.com/maps/api/js?key=AIzaSyDfwo7C7-WLO8GU-bc6WmvqmsF8FKipzuE&callback=initMap">
    </script>
  </body>
</html>